List eligible assignment policy targets
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/assignment_policies/eligible_targets \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/assignment_policies/eligible_targets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/assignment_policies/eligible_targets"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"inboxes": [
{
"id": 123,
"name": "<string>",
"channel_type": "<string>"
}
],
"teams": [
{
"id": 123,
"name": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}Assignment Policies
List eligible assignment policy targets
Inboxes and teams the caller may attach to an assignment policy. Suite-scoped managers only see exclusive targets in their suite.
GET
/
api
/
v1
/
accounts
/
{account_id}
/
assignment_policies
/
eligible_targets
List eligible assignment policy targets
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/assignment_policies/eligible_targets \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/assignment_policies/eligible_targets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/assignment_policies/eligible_targets"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"inboxes": [
{
"id": 123,
"name": "<string>",
"channel_type": "<string>"
}
],
"teams": [
{
"id": 123,
"name": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}Authorizations
Token de usuario. Envía el valor en el header api_access_token. Lo obtienes en el perfil (GET /api/v1/profile) o al regenerarlo.
Path Parameters
The numeric ID of the account
Was this page helpful?